$(function() {
    $('#myform').initValidform();
    $(":radio[name='IsNotNull']").click(function() {
        ShowIsNotNull();
    });
})

function ShowIsNotNull() {
    var curtab = parseInt($(":radio[name='IsNotNull']").filter(":checked").val());
    if (curtab == 1) {
        $(".IsNotNull").show();
    } else {
        $(".IsNotNull").hide();
    }
}

function ShowType(v) {
    var FieldType = parseInt(v);
    if (v == 0 || FieldType == 1) {
        $('#FieldType0').show();
        $('#FieldType1').hide();
        $('#FieldType2').show();
        $('#FieldType3').show();
        if ($('#ListVal').val() == '') {
            $('#ListVal').val('选项1=值1,选项2=值2');
        }
    }
    if (FieldType == 2 || FieldType == 3 || FieldType == 4 || FieldType == 5 || FieldType == 6 || FieldType == 7 || FieldType == 11 || FieldType == 12) {
        $('#FieldType0').hide();
        $('#FieldType1').hide();
        $('#FieldType2').show();
        $('#FieldType3').show();
        $("#AttrId ").get(0).selectedIndex = 1;
        if ($('#ListVal').val() == '') {
            $('#ListVal').val('选项1=值1,选项2=值2');
        }
    }
    if (FieldType == 8 || FieldType == 9 || FieldType == 10) {
        $('#FieldType0').hide();
        $('#FieldType1').show();
        $('#FieldType2').hide();
        $('#FieldType3').hide();
        $("#AttrId ").get(0).selectedIndex = 1;
        if ($('#ListVal').val() != '' && $('#ListVal').val() == '选项1=值1,选项2=值2') {
            $('#ListVal').val('');
        }
    }
}